Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hornetq.api.core
Class Pair<A,B>

    java.lang.Object
      org.hornetq.api.core.Pair<A,B>

All Implemented Interfaces:
  Serializable

    public class Pair<A,B>

extends Object
implements Serializable

A Pair is a holder for 2 objects.

Author:
  Tim Fox
See Also:
  Serialized Form

Constructor Summary
`Pair(A a, B b)`

Method Summary
`boolean` | `equals(Object other)`
`A` | `getA()`
`B` | `getB()`
`int` | `hashCode()`
`void` | `setA(A a)`
`void` | `setB(B b)`
`String` | `toString()`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Pair

    public Pair(A a,
                B b)

Method Detail

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

### equals

    public boolean equals(Object other)

  Overrides:
    `equals` in class `Object`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### setA

    public void setA(A a)

### getA

    public A getA()

### setB

    public void setB(B b)

### getB

    public B getB()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 Red Hat Inc. All Rights Reserved.